Bug 65271 - convert fails to process -crop geometry correctly on postscript file
Summary: convert fails to process -crop geometry correctly on postscript file
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-21 08:56 UTC by Rene Uittenbogaard
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 17:54:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample postscript file with which the problem may be reproduced (281 bytes, application/postscript)
2002-05-21 08:59 UTC, Rene Uittenbogaard
no flags Details

Description Rene Uittenbogaard 2002-05-21 08:56:16 UTC
Description of Problem:
convert fails to process -crop geometry correctly on postscript file

Version-Release number of selected component (if applicable):
ImageMagick-5.4.3.11-1

How Reproducible:
always, also on RH7.2

Steps to Reproduce:
convert +adjoin -colors 16 -density 108 -crop 211x175+58-445 demo.ps[1] demo.gif

Actual Results:
convert: Unable to crop image (geometry does not contain any part of the image).

Expected Results:
gif image containing the correct region of the page.

Additional Information:
See attached postscript file to reproduce the problem.

Comment 1 Rene Uittenbogaard 2002-05-21 08:59:27 UTC
Created attachment 58087 [details]
sample postscript file with which the problem may be reproduced

Comment 2 Rene Uittenbogaard 2002-05-21 09:05:53 UTC
after the convert(1) command exits, a gif image has been created, although it 
contains an image of the entire page (not cropped)


Comment 3 Matthias Clasen 2005-09-14 17:54:56 UTC
Please try to reproduce this against a supported release and reopen if you can.


Note You need to log in before you can comment on or make changes to this bug.